at.chipkarte.client.elgaad.soap

## Class DokumentId

- Object
- - at.chipkarte.client.elgaad.soap.DokumentId

-     public class DokumentId
      extends Object

  Dokument Identifier Spezifizierungen.
  Das Objekt wird in unterschiedlichen Funktionen und Objekten verwendet. Die Angabe- bzw. Versorgungsbedingungen der einzelnen Parameter sind dabei abhängig ob das Objekt für die Eingabe oder Ausgabe verwendet wird.
  Die Bedingungen für die Angabe bei Nutzung als Eingabeobjekt, sind für dieses Objekt bei den Parametern unter "Eingabebedingung" angegeben. Hierbei wird zusätzlich unterschieden, ob die DokumentId zwecks "Erfassung" oder "Änderung" oder "Abfrage" angegeben wird.
  Die Bedingungen für die Befüllung der Parameter bei Nutzung als Ausgabeobjekt, sind bei den Parametern unter "Ausgabebedingung" angegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DokumentId()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getEntryUUID()` Entry UUID des Dokuments.
    `String` | `getHomeCommunityId()` Eine eindeutige Identifikation (OID) für eine Community.
    `String` | `getRepositoryUniqueId()` Die eindeutige Identifikation (OID) des Dokumenten-Repositories.
    `String` | `getUniqueId()` Global eindeutige ID des Dokuments.
    `void` | `setEntryUUID(String entryUUID)`
    `void` | `setHomeCommunityId(String homeCommunityId)`
    `void` | `setRepositoryUniqueId(String repositoryUniqueId)`
    `void` | `setUniqueId(String uniqueId)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DokumentId

          public DokumentId()

  - ### Method Detail

    - #### getUniqueId

          public String getUniqueId()

      Global eindeutige ID des Dokuments.
      Handelt es sich um die DokumentId eines Rezeptes, beinhaltet dieser Parameter die `eMedId`.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Abfrage: Muss.
      Ausgabebedingung: Muss.
      Format: max. 255 stellig (alphanumerisch).
      Returns:
        Globale Id

    - #### getEntryUUID

          public String getEntryUUID()

      Entry UUID des Dokuments.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Abfrage: Eingabe wird ignoriert.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        UUID

    - #### getHomeCommunityId

          public String getHomeCommunityId()

      Eine eindeutige Identifikation (OID) für eine Community.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Abfrage: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Community Id.

    - #### getRepositoryUniqueId

          public String getRepositoryUniqueId()

      Die eindeutige Identifikation (OID) des Dokumenten-Repositories.
      Eingabebedingung:
      Erfassung: Eingabe wird ignoriert.
      Änderung: Eingabe wird ignoriert.
      Abfrage: Muss.
      Ausgabebedingung: Muss.
      Format: alphanumerisch.
      Returns:
        Repository Id

    - #### setUniqueId

          public void setUniqueId(String uniqueId)

    - #### setEntryUUID

          public void setEntryUUID(String entryUUID)

    - #### setHomeCommunityId

          public void setHomeCommunityId(String homeCommunityId)

    - #### setRepositoryUniqueId

          public void setRepositoryUniqueId(String repositoryUniqueId)